com.icesoft.faces.facelets.component.util

## Class BrowserDetector

- java.lang.Object
- - com.icesoft.faces.facelets.component.util.BrowserDetector

- All Implemented Interfaces:
    java.io.Serializable

      public class BrowserDetector
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FIREFOX`
    `static int` | `IE`
    `static int` | `IE7`
    `static int` | `IE8`
    `static int` | `OPERA`
    `static int` | `OPERA_MOBILE`
    `static int` | `SAFARI`
    `static int` | `SAFARI_MOBILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrowserDetector()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBestImgFormat()`
    `int` | `getBrowserType()`
    `static BrowserDetector` | `getInstance()`
    `boolean` | `isAnyIe()`
    `boolean` | `isFirefox()`
    `boolean` | `isIe()`
    `boolean` | `isIe7()`
    `boolean` | `isIe8()`
    `boolean` | `isLessThanIe8()`
    `boolean` | `isOpera()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IE

          public static int IE

    - #### IE7

          public static int IE7

    - #### IE8

          public static int IE8

    - #### SAFARI

          public static int SAFARI

    - #### SAFARI_MOBILE

          public static int SAFARI_MOBILE

    - #### OPERA

          public static int OPERA

    - #### OPERA_MOBILE

          public static int OPERA_MOBILE

    - #### FIREFOX

          public static int FIREFOX

  - ### Constructor Detail

    - #### BrowserDetector

          public BrowserDetector()

  - ### Method Detail

    - #### getInstance

          public static BrowserDetector getInstance()

    - #### isIe7

          public boolean isIe7()

    - #### isIe8

          public boolean isIe8()

    - #### isIe

          public boolean isIe()

    - #### isFirefox

          public boolean isFirefox()

    - #### isOpera

          public boolean isOpera()

    - #### isAnyIe

          public boolean isAnyIe()

    - #### getBrowserType

          public int getBrowserType()

    - #### getBestImgFormat

          public java.lang.String getBestImgFormat()

    - #### isLessThanIe8

          public boolean isLessThanIe8()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.